Extending Qt Creator Manual | SnippetAssistCollector

Extending Qt Creator Manual 4.5.2

# SnippetAssistCollector Class

(TextEditor::SnippetAssistCollector)

- List of all members, including inherited members

## Public Functions

| SnippetAssistCollector(const QString &groupId, const QIcon &icon, int order = 0)
QList<AssistProposalItemInterface *> | collect() const
QString | groupId() const
void | setGroupId(const QString &gid)

## Member Function Documentation

### SnippetAssistCollector::SnippetAssistCollector(const QString &groupId, const QIcon &icon, int order = 0)

Default constructs an instance of SnippetAssistCollector.

### QList<AssistProposalItemInterface *> SnippetAssistCollector::collect() const

### QString SnippetAssistCollector::groupId() const

See also setGroupId().

### void SnippetAssistCollector::setGroupId(const QString &gid)

See also groupId().